Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCursor3D Class Reference

`#include <vtkCursor3D.h>`

Inheritance diagram for vtkCursor3D:

[legend]
Collaboration diagram for vtkCursor3D:

[legend]
List of all members.

## Detailed Description

generate a 3D cursor representation

Date:
  2002/08/25 19:23:07

Revision:
  1.41

vtkCursor3D is an object that generates a 3D representation of a cursor. The cursor consists of a wireframe bounding box, three intersecting axes lines that meet at the cursor focus, and "shadows" or projections of the axes against the sides of the bounding box. Each of these components can be turned on/off.

This filter generates two output datasets. The first (Output) is just the geometric representation of the cursor. The second (Focus) is a single point at the focal point.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (84%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkCursor3D.h)`
  - .`cxx` (`/Graphics/vtkCursor3D.cxx)`

Tests:
  vtkCursor3D (Tests)

Definition at line 52 of file vtkCursor3D.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkPolyData * | GetFocus ()
void | SetModelBounds (float xmin, float xmax, float ymin, float ymax, float zmin, float zmax)
void | SetModelBounds (float bounds[6])
virtual float * | GetModelBounds ()
virtual void | GetModelBounds (float data[6])
void | SetFocalPoint (float x[3])
void | SetFocalPoint (float x, float y, float z)
virtual float * | GetFocalPoint ()
virtual void | GetFocalPoint (float data[3])
virtual void | SetOutline (int)
virtual int | GetOutline ()
virtual void | OutlineOn ()
virtual void | OutlineOff ()
virtual void | SetAxes (int)
virtual int | GetAxes ()
virtual void | AxesOn ()
virtual void | AxesOff ()
virtual void | SetXShadows (int)
virtual int | GetXShadows ()
virtual void | XShadowsOn ()
virtual void | XShadowsOff ()
virtual void | SetYShadows (int)
virtual int | GetYShadows ()
virtual void | YShadowsOn ()
virtual void | YShadowsOff ()
virtual void | SetZShadows (int)
virtual int | GetZShadows ()
virtual void | ZShadowsOn ()
virtual void | ZShadowsOff ()
virtual void | SetTranslationMode (int)
virtual int | GetTranslationMode ()
virtual void | TranslationModeOn ()
virtual void | TranslationModeOff ()
virtual void | SetWrap (int)
virtual int | GetWrap ()
virtual void | WrapOn ()
virtual void | WrapOff ()
void | AllOn ()
void | AllOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkCursor3D * | SafeDownCast (vtkObject *o)
vtkCursor3D * | New ()
## Protected Methods
| vtkCursor3D ()
| ~vtkCursor3D ()
void | Execute ()
## Protected Attributes
vtkPolyData * | Focus
float | ModelBounds [6]
float | FocalPoint [3]
int | Outline
int | Axes
int | XShadows
int | YShadows
int | ZShadows
int | TranslationMode
int | Wrap

## Member Typedef Documentation

typedef vtkPolyDataSource vtkCursor3D::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 55 of file vtkCursor3D.h.

## Constructor & Destructor Documentation

vtkCursor3D::vtkCursor3D | ( |  | ) | `[protected]`

vtkCursor3D::~vtkCursor3D | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkCursor3D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkCursor3D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkCursor3D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkCursor3D* vtkCursor3D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkCursor3D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

vtkCursor3D* vtkCursor3D::New | ( |  | ) | `[static]`

| Construct with model bounds = (-1,1,-1,1,-1,1), focal point = (0,0,0), all parts of cursor visible, and wrapping off. Reimplemented from vtkObject.

void vtkCursor3D::SetModelBounds | ( | float | xmin,
|  | float | xmax,
|  | float | ymin,
|  | float | ymax,
|  | float | zmin,
|  | float | zmax
| ) |

| Set / get the boundary of the 3D cursor.

void vtkCursor3D::SetModelBounds | ( | float | bounds[6] | ) |

| Set / get the boundary of the 3D cursor.

virtual float* vtkCursor3D::GetModelBounds | ( |  | ) | `[virtual]`

| Set / get the boundary of the 3D cursor.

virtual void vtkCursor3D::GetModelBounds | ( | float | data[6] | ) | `[virtual]`

| Set / get the boundary of the 3D cursor.

void vtkCursor3D::SetFocalPoint | ( | float | x[3] | ) |

| Set/Get the position of cursor focus. If translation mode is on, then the entire cursor (including bounding box, cursor, and shadows) is translated. Otherwise, the focal point will either be clamped to the bounding box, or wrapped, if Wrap is on. (Note: this behavior requires that the bounding box is set prior to the focal point.)

void vtkCursor3D::SetFocalPoint | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

| Set/Get the position of cursor focus. If translation mode is on, then the entire cursor (including bounding box, cursor, and shadows) is translated. Otherwise, the focal point will either be clamped to the bounding box, or wrapped, if Wrap is on. (Note: this behavior requires that the bounding box is set prior to the focal point.) Definition at line 77 of file vtkCursor3D.h.

virtual float* vtkCursor3D::GetFocalPoint | ( |  | ) | `[virtual]`

| Set/Get the position of cursor focus. If translation mode is on, then the entire cursor (including bounding box, cursor, and shadows) is translated. Otherwise, the focal point will either be clamped to the bounding box, or wrapped, if Wrap is on. (Note: this behavior requires that the bounding box is set prior to the focal point.)

virtual void vtkCursor3D::GetFocalPoint | ( | float | data[3] | ) | `[virtual]`

| Set/Get the position of cursor focus. If translation mode is on, then the entire cursor (including bounding box, cursor, and shadows) is translated. Otherwise, the focal point will either be clamped to the bounding box, or wrapped, if Wrap is on. (Note: this behavior requires that the bounding box is set prior to the focal point.)

virtual void vtkCursor3D::SetOutline | ( | int |  | ) | `[virtual]`

| Turn on/off the wireframe bounding box.

virtual int vtkCursor3D::GetOutline | ( |  | ) | `[virtual]`

| Turn on/off the wireframe bounding box.

virtual void vtkCursor3D::OutlineOn | ( |  | ) | `[virtual]`

| Turn on/off the wireframe bounding box.

virtual void vtkCursor3D::OutlineOff | ( |  | ) | `[virtual]`

| Turn on/off the wireframe bounding box.

virtual void vtkCursor3D::SetAxes | ( | int |  | ) | `[virtual]`

| Turn on/off the wireframe axes.

virtual int vtkCursor3D::GetAxes | ( |  | ) | `[virtual]`

| Turn on/off the wireframe axes.

virtual void vtkCursor3D::AxesOn | ( |  | ) | `[virtual]`

| Turn on/off the wireframe axes.

virtual void vtkCursor3D::AxesOff | ( |  | ) | `[virtual]`

| Turn on/off the wireframe axes.

virtual void vtkCursor3D::SetXShadows | ( | int |  | ) | `[virtual]`

| Turn on/off the wireframe x-shadows.

virtual int vtkCursor3D::GetXShadows | ( |  | ) | `[virtual]`

| Turn on/off the wireframe x-shadows.

virtual void vtkCursor3D::XShadowsOn | ( |  | ) | `[virtual]`

| Turn on/off the wireframe x-shadows.

virtual void vtkCursor3D::XShadowsOff | ( |  | ) | `[virtual]`

| Turn on/off the wireframe x-shadows.

virtual void vtkCursor3D::SetYShadows | ( | int |  | ) | `[virtual]`

| Turn on/off the wireframe y-shadows.

virtual int vtkCursor3D::GetYShadows | ( |  | ) | `[virtual]`

| Turn on/off the wireframe y-shadows.

virtual void vtkCursor3D::YShadowsOn | ( |  | ) | `[virtual]`

| Turn on/off the wireframe y-shadows.

virtual void vtkCursor3D::YShadowsOff | ( |  | ) | `[virtual]`

| Turn on/off the wireframe y-shadows.

virtual void vtkCursor3D::SetZShadows | ( | int |  | ) | `[virtual]`

| Turn on/off the wireframe z-shadows.

virtual int vtkCursor3D::GetZShadows | ( |  | ) | `[virtual]`

| Turn on/off the wireframe z-shadows.

virtual void vtkCursor3D::ZShadowsOn | ( |  | ) | `[virtual]`

| Turn on/off the wireframe z-shadows.

virtual void vtkCursor3D::ZShadowsOff | ( |  | ) | `[virtual]`

| Turn on/off the wireframe z-shadows.

virtual void vtkCursor3D::SetTranslationMode | ( | int |  | ) | `[virtual]`

| Enable/disable the translation mode. If on, changes in cursor position cause the entire widget to translate along with the cursor. By default, translation mode is off.

virtual int vtkCursor3D::GetTranslationMode | ( |  | ) | `[virtual]`

| Enable/disable the translation mode. If on, changes in cursor position cause the entire widget to translate along with the cursor. By default, translation mode is off.

virtual void vtkCursor3D::TranslationModeOn | ( |  | ) | `[virtual]`

| Enable/disable the translation mode. If on, changes in cursor position cause the entire widget to translate along with the cursor. By default, translation mode is off.

virtual void vtkCursor3D::TranslationModeOff | ( |  | ) | `[virtual]`

| Enable/disable the translation mode. If on, changes in cursor position cause the entire widget to translate along with the cursor. By default, translation mode is off.

virtual void vtkCursor3D::SetWrap | ( | int |  | ) | `[virtual]`

| Turn on/off cursor wrapping. If the cursor focus moves outside the specified bounds, the cursor will either be restrained against the nearest "wall" (Wrap=off), or it will wrap around (Wrap=on).

virtual int vtkCursor3D::GetWrap | ( |  | ) | `[virtual]`

| Turn on/off cursor wrapping. If the cursor focus moves outside the specified bounds, the cursor will either be restrained against the nearest "wall" (Wrap=off), or it will wrap around (Wrap=on).

virtual void vtkCursor3D::WrapOn | ( |  | ) | `[virtual]`

| Turn on/off cursor wrapping. If the cursor focus moves outside the specified bounds, the cursor will either be restrained against the nearest "wall" (Wrap=off), or it will wrap around (Wrap=on).

virtual void vtkCursor3D::WrapOff | ( |  | ) | `[virtual]`

| Turn on/off cursor wrapping. If the cursor focus moves outside the specified bounds, the cursor will either be restrained against the nearest "wall" (Wrap=off), or it will wrap around (Wrap=on).

vtkPolyData* vtkCursor3D::GetFocus | ( |  | ) | `[inline]`

| Get the focus for this filter. Definition at line 140 of file vtkCursor3D.h.

void vtkCursor3D::AllOn | ( |  | ) |

| Turn every part of the 3D cursor on or off.

void vtkCursor3D::AllOff | ( |  | ) |

| Turn every part of the 3D cursor on or off.

void vtkCursor3D::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

vtkPolyData* vtkCursor3D::Focus`[protected]`

| Definition at line 154 of file vtkCursor3D.h.

float vtkCursor3D::ModelBounds[6]`[protected]`

| Definition at line 155 of file vtkCursor3D.h.

float vtkCursor3D::FocalPoint[3]`[protected]`

| Definition at line 156 of file vtkCursor3D.h.

int vtkCursor3D::Outline`[protected]`

| Definition at line 157 of file vtkCursor3D.h.

int vtkCursor3D::Axes`[protected]`

| Definition at line 158 of file vtkCursor3D.h.

int vtkCursor3D::XShadows`[protected]`

| Definition at line 159 of file vtkCursor3D.h.

int vtkCursor3D::YShadows`[protected]`

| Definition at line 160 of file vtkCursor3D.h.

int vtkCursor3D::ZShadows`[protected]`

| Definition at line 161 of file vtkCursor3D.h.

int vtkCursor3D::TranslationMode`[protected]`

| Definition at line 162 of file vtkCursor3D.h.

int vtkCursor3D::Wrap`[protected]`

| Definition at line 163 of file vtkCursor3D.h.

The documentation for this class was generated from the following file:

- Graphics/vtkCursor3D.h